Devuan bug report logs - #812
Firmware is not found by kernel anymore as it is moved to /usr

Package: devuan-project; Maintainer for devuan-project is Devuan Developers <devuan-dev@lists.dyne.org>;

Affects: kmod, linux-headers-6.6.8-amd64, firmware-realtek, netcat-traditional, sed, initramfs-tools-core

Reported by: Klaus Ethgen <Klaus@ethgen.de>

Date: Mon, 4 Dec 2023 09:00:01 UTC

Severity: grave

Merged with 813, 821, 823, 826, 827, 828

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#812; Package firmware-realtek. (Mon, 04 Dec 2023 09:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to Klaus Ethgen <Klaus@ethgen.de>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Mon, 04 Dec 2023 09:00:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Klaus Ethgen <Klaus@ethgen.de>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: Firmware is not found by kernel anymore as it is moved to /usr
Date: Mon, 4 Dec 2023 09:57:17 +0100
[Message part 1 (text/plain, inline)]
Package: firmware-realtek
Version: 20230625-1
Severity: critical

After update from 20230515-3, the kernel is no longer able to find the
firmware as debian moved it to /usr.

This makes random subsystems (like bluetooth) fail.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 6 (excalibur/ceres)
Release:	6
Codename:	excalibur ceres
Architecture: x86_64

Kernel: Linux 6.1.38 (SMP w/8 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_CPU_OUT_OF_SPEC, TAINT_FIRMWARE_WORKAROUND, TAINT_OOT_MODULE
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

firmware-realtek depends on no packages.

firmware-realtek recommends no packages.

Versions of packages firmware-realtek suggests:
pn  initramfs-tools  <none>

-- no debconf information
Gruß
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <Klaus@Ethgen.ch>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#812; Package firmware-realtek. (Mon, 04 Dec 2023 18:44:01 GMT) (full text, mbox, link).


Acknowledgement sent to Klaus Ethgen <Klaus@ethgen.de>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Mon, 04 Dec 2023 18:44:02 GMT) (full text, mbox, link).


Message #10 received at 812@bugs.devuan.org (full text, mbox, reply):

From: Klaus Ethgen <Klaus@ethgen.de>
To: 812@bugs.devuan.org
Subject: Re: bug#812: Acknowledgement (Firmware is not found by kernel anymore as it is moved to /usr)
Date: Mon, 4 Dec 2023 19:42:19 +0100
[Message part 1 (text/plain, inline)]
I have created that package under [0].

Regards
   Klaus

[0] ftp://ftp.ethgen.ch/pub/debian/pool/unofficial/f/firmware-nonfree/
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <Klaus@Ethgen.ch>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#812; Package firmware-realtek. (Tue, 05 Dec 2023 13:02:01 GMT) (full text, mbox, link).


Message #13 received at 812@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Klaus Ethgen <Klaus@ethgen.de>, 812@bugs.devuan.org
Subject: Re: bug#812: Firmware is not found by kernel anymore as it is moved to /usr
Date: Tue, 5 Dec 2023 13:00:21 +0000
Control: reassign -1 devuan-project
Control: forcemerge 810 -1
Control: affects -1 firmware-realtek

Klaus,

On Mon, Dec 04, 2023 at 09:57:17AM +0100, Klaus Ethgen wrote:
> Package: firmware-realtek
> Version: 20230625-1
> Severity: critical
> 
> After update from 20230515-3, the kernel is no longer able to find the
> firmware as debian moved it to /usr.

As you have identified, this is a result of Debian's implementation of merged
/usr.

Reassigning and merging.

Mark

bug reassigned from package 'firmware-realtek' to 'devuan-project'. Request was from Mark Hindley <mark@hindley.org.uk> to 812-submit@bugs.devuan.org. (Tue, 05 Dec 2023 13:02:02 GMT) (full text, mbox, link).


No longer marked as found in versions 20230625-1. Request was from Mark Hindley <mark@hindley.org.uk> to 812-submit@bugs.devuan.org. (Tue, 05 Dec 2023 13:02:02 GMT) (full text, mbox, link).


Severity set to 'grave' from 'critical' Request was from Mark Hindley <mark@hindley.org.uk> to 812-submit@bugs.devuan.org. (Tue, 05 Dec 2023 13:02:02 GMT) (full text, mbox, link).


Added indication that 812 affects netcat-traditional,wpasupplicant Request was from Mark Hindley <mark@hindley.org.uk> to 812-submit@bugs.devuan.org. (Tue, 05 Dec 2023 13:02:02 GMT) (full text, mbox, link).


Merged 810 812 813 Request was from Mark Hindley <mark@hindley.org.uk> to 812-submit@bugs.devuan.org. (Tue, 05 Dec 2023 13:02:02 GMT) (full text, mbox, link).


Added indication that 812 affects firmware-realtek Request was from Mark Hindley <mark@hindley.org.uk> to 812-submit@bugs.devuan.org. (Tue, 05 Dec 2023 13:02:02 GMT) (full text, mbox, link).


Message #26 received at 810-done@bugs.devuan.org (full text, mbox, reply):

From: Svante Signell <svante.signell@gmail.com>
To: 810@bugs.devuan.org
Cc: 810-done@bugs.devuan.org
Subject: Bug #810 on wpasupplicant: Fixed, closing
Date: Wed, 06 Dec 2023 17:44:29 +0100
Hello,

As you might have found out this bug has been resolved by 2:2.10-18, fixed by
patches for bug #1056976 by Guillem Jover.

Thanks, closing!

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#812; Package devuan-project. (Wed, 06 Dec 2023 16:56:01 GMT) (full text, mbox, link).


Acknowledgement sent to svante.signell@gmail.com:
Extra info received and forwarded to list. Copy sent to Devuan Developers <devuan-dev@lists.dyne.org>. (Wed, 06 Dec 2023 16:56:01 GMT) (full text, mbox, link).


Message #31 received at 812@bugs.devuan.org (full text, mbox, reply):

From: Svante Signell <svante.signell@gmail.com>
To: Mark Hindley <mark@hindley.org.uk>, 812@bugs.devuan.org, devuan developers internal list <devuan-dev@lists.dyne.org>, Klaus Ethgen <Klaus@ethgen.de>
Subject: Re: [devuan-dev] bug#812: Firmware is not found by kernel anymore as it is moved to /usr
Date: Wed, 06 Dec 2023 17:55:30 +0100
On Tue, 2023-12-05 at 13:00 +0000, Mark Hindley wrote:
> Control: reassign -1 devuan-project
> Control: forcemerge 810 -1
> Control: affects -1 firmware-realtek
> 
> Klaus,
> 
> On Mon, Dec 04, 2023 at 09:57:17AM +0100, Klaus Ethgen wrote:
> > Package: firmware-realtek
> > Version: 20230625-1
> > Severity: critical
> > 
> > After update from 20230515-3, the kernel is no longer able to find the
> > firmware as debian moved it to /usr.
> 
> As you have identified, this is a result of Debian's implementation of merged
> /usr.
> 
> Reassigning and merging.

Hi Mark and Klaus,

Seems like the simple solution to firmware files moved from /lib to /usr/lib is
to modify the eudev (udev) rule to search both in /lib and /usr/lib. I have not
yet found out which program/rule does the actual installation of these firmware
files. Maybe you know?

Examples:
apt-file show firmware-realtek
firmware-realtek: /usr/lib/firmware/...

apt-file show firmware-linux-free
firmware-linux-free: /lib/firmware/...

apt-file show firmware-atheros
firmware-atheros: /usr/lib/firmware/...

apt-file show firmware-amd-graphics
firmware-amd-graphics: /usr/lib/firmware/...


Disconnected #810 from all other report(s). Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 06 Dec 2023 17:14:01 GMT) (full text, mbox, link).


Bug reopened Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 06 Dec 2023 17:20:01 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#812; Package devuan-project. (Wed, 06 Dec 2023 17:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Klaus Ethgen <Klaus@ethgen.de>:
Extra info received and forwarded to list. Copy sent to Devuan Developers <devuan-dev@lists.dyne.org>. (Wed, 06 Dec 2023 17:30:03 GMT) (full text, mbox, link).


Message #40 received at 812@bugs.devuan.org (full text, mbox, reply):

From: Klaus Ethgen <Klaus@ethgen.de>
To: Svante Signell <svante.signell@gmail.com>
Cc: Mark Hindley <mark@hindley.org.uk>, 812@bugs.devuan.org, devuan developers internal list <devuan-dev@lists.dyne.org>
Subject: Re: [devuan-dev] bug#812: Firmware is not found by kernel anymore as it is moved to /usr
Date: Wed, 6 Dec 2023 18:27:40 +0100
[Message part 1 (text/plain, inline)]
Hi Svante,

Am Mi den  6. Dez 2023 um 17:55 schrieb Svante Signell:
> Seems like the simple solution to firmware files moved from /lib to /usr/lib is
> to modify the eudev (udev) rule to search both in /lib and /usr/lib.

That do not work as at boot time, /usr is not always available.

> I have not
> yet found out which program/rule does the actual installation of these firmware
> files. Maybe you know?

Yes, it is in the rules file. it includes dh_movetousr when available.
The firmware itself installs to /lib and that command does explicitly
destroy the package.

Regards
   Klaus

Ps. See my package, I built...
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <Klaus@Ethgen.ch>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C
[signature.asc (application/pgp-signature, inline)]

Removed indication that 812 affects wpasupplicant Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 06 Dec 2023 17:34:01 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#812; Package devuan-project. (Wed, 06 Dec 2023 19:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to svante.signell@gmail.com:
Extra info received and forwarded to list. Copy sent to Devuan Developers <devuan-dev@lists.dyne.org>. (Wed, 06 Dec 2023 19:00:02 GMT) (full text, mbox, link).


Message #47 received at 812@bugs.devuan.org (full text, mbox, reply):

From: Svante Signell <svante.signell@gmail.com>
To: Klaus Ethgen <Klaus@ethgen.de>
Cc: Mark Hindley <mark@hindley.org.uk>, 812@bugs.devuan.org, devuan developers internal list <devuan-dev@lists.dyne.org>
Subject: Re: [devuan-dev] bug#812: Firmware is not found by kernel anymore as it is moved to /usr
Date: Wed, 06 Dec 2023 19:57:29 +0100
On Wed, 2023-12-06 at 18:27 +0100, Klaus Ethgen wrote:
> Hi Svante,
> 
> Am Mi den  6. Dez 2023 um 17:55 schrieb Svante Signell:
> > Seems like the simple solution to firmware files moved from /lib to /usr/lib
> > is to modify the eudev (udev) rule to search both in /lib and /usr/lib.
> 
> That do not work as at boot time, /usr is not always available.
> 

Hi Klaus,

Then you have /usr on a different partition, and you need an initrd to fix that.
That problem is separate from eudev searching for files in /lib and /usr/lib.

> > I have not yet found out which program/rule does the actual installation of
> > these firmware files. Maybe you know?
> 
> Yes, it is in the rules file. it includes dh_movetousr when available.
> The firmware itself installs to /lib and that command does explicitly
> destroy the package.

I did not mean the debian/rules file of firmware-realtek, sorry.

I saw the usage of dh_movetousr in that package in debian/rules, yes. However as
long as the eudev rule file searches both /lib and /usr/lib and you don't have
/usr on a separate partition, you'll be fine (or use an initrd as mentioned
above)

Thanks!

Removed indication that 812 affects firmware-realtek and netcat-traditional Added indication that 812 affects netcat-traditional,firmware-realtek Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:50:02 GMT) (full text, mbox, link).


Merged 812 813 821 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:50:02 GMT) (full text, mbox, link).


Added indication that 812 affects linux-headers-6.6.8-amd64 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:50:02 GMT) (full text, mbox, link).


Removed indication that 812 affects netcat-traditional, firmware-realtek, and linux-headers-6.6.8-amd64 Added indication that 812 affects linux-headers-6.6.8-amd64,netcat-traditional,firmware-realtek Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Merged 812 813 821 823 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Added indication that 812 affects sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Removed indication that 812 affects sed, firmware-realtek, netcat-traditional, and linux-headers-6.6.8-amd64 Added indication that 812 affects netcat-traditional,linux-headers-6.6.8-amd64,firmware-realtek,sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:01 GMT) (full text, mbox, link).


Merged 812 813 821 823 827 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Added indication that 812 affects initramfs-tools-core Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Removed indication that 812 affects sed, firmware-realtek, linux-headers-6.6.8-amd64, netcat-traditional, and initramfs-tools-core Added indication that 812 affects firmware-realtek,initramfs-tools-core,netcat-traditional,linux-headers-6.6.8-amd64,sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Merged 812 813 821 823 826 827 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Added indication that 812 affects kmod Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Removed indication that 812 affects kmod, sed, initramfs-tools-core, netcat-traditional, linux-headers-6.6.8-amd64, and firmware-realtek Added indication that 812 affects firmware-realtek,linux-headers-6.6.8-amd64,kmod,sed,initramfs-tools-core,netcat-traditional Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:56:01 GMT) (full text, mbox, link).


Merged 812 813 821 823 826 827 828 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:56:02 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 20 Mar 2024 12:08:02 GMT) (full text, mbox, link).


Notification sent to Klaus Ethgen <Klaus@ethgen.de>:
bug acknowledged by developer. (Wed, 20 Mar 2024 12:08:02 GMT) (full text, mbox, link).


Message #80 received at 812-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 812-done@bugs.devuan.org
Subject: Re: bug#812: Devuan project: merged-usr
Date: Wed, 20 Mar 2024 12:06:27 +0000
Merged /usr is now enforced by base-files 13devuan4 and handled by debootstrap
1.0.134devuan2. Both of these versions are present in ceres and excalibur:

 base-files  | 13devuan4      | excalibur  | source, all
 base-files  | 13devuan4      | unstable   | source, all
 debootstrap | 1.0.134devuan2 | excalibur  | source, all
 debootstrap | 1.0.134devuan2 | unstable   | source, all

Golinux also posted an announcement[1] on the forum.

Therefore I am closing these reports as fixed.

Mark

[1]  https://dev1galaxy.org/viewtopic.php?id=6435      



Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 20 Mar 2024 12:08:03 GMT) (full text, mbox, link).


Notification sent to Arthur Marsh <arthur.marsh@internode.on.net>:
bug acknowledged by developer. (Wed, 20 Mar 2024 12:08:07 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 20 Mar 2024 12:08:08 GMT) (full text, mbox, link).


Notification sent to Klaus Ethgen <Klaus@ethgen.de>:
bug acknowledged by developer. (Wed, 20 Mar 2024 12:08:08 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 20 Mar 2024 12:08:09 GMT) (full text, mbox, link).


Notification sent to Klaus Ethgen <Klaus@ethgen.de>:
bug acknowledged by developer. (Wed, 20 Mar 2024 12:08:09 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 20 Mar 2024 12:08:10 GMT) (full text, mbox, link).


Notification sent to Arthur Marsh <arthur.marsh@internode.on.net>:
bug acknowledged by developer. (Wed, 20 Mar 2024 12:08:11 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 20 Mar 2024 12:08:11 GMT) (full text, mbox, link).


Notification sent to "G. L. Gragnani" <g.l.gragnani@gmx.com>:
bug acknowledged by developer. (Wed, 20 Mar 2024 12:08:12 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 20 Mar 2024 12:08:12 GMT) (full text, mbox, link).


Notification sent to David Haworth <dh@thelancashireman.org>:
bug acknowledged by developer. (Wed, 20 Mar 2024 12:08:13 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri May 24 08:09:27 2024;